/* $Id: gui.h,v 2.0 1993/05/12 16:34:15 klute Exp klute $ */

/* 
 * Copyright 1993 Rainer Klute <klute@irb.informatik.uni-dortmund.de>
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation. The author makes no representations about the suitability
 * of this software for any purpose. It is provided "as is" without express
 * or implied warranty.
 *
 */

#import "NuiController.h"
#import "MyStringSegment.h"

#include "batch.h"
#include "xplz.h"


#if !defined (GUI_H)
#define GUI_H


typedef struct ConversionData
{
    id             nc;
    PlzConversion *pc;
    Batch         *batch;
}
ConversionData;

typedef List *MyString;

extern void PofadaSetToList (id list, PofadaSet *pofadaSet, char *ortsname);
extern void StradaSetToList (id list, StradaSet *stradaSet, char *ortsname);
extern void OrteToList (id list, UmsdaSet *orte, OrtardaSet *archivOrte);
extern void StrassenverzeichnisCallback (ConversionData *cd);
extern void ConvertCallback(ConversionData *cd);
extern void ListPoboxSelected (ConversionData *cd);
extern void ListPlaceSelected (ConversionData *cd);
extern void ListStreetSelected (ConversionData *cd);

extern ConversionData *NeXTInterface (id nc);

#endif
